| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
flatbuffers::vector_downward Class Reference

## Public Member Functions
size_t | capacity () const
void | clear ()
void | clear_allocator ()
void | clear_buffer ()
void | clear_scratch ()
uint8_t * | data () const
uint8_t * | data_at (size_t offset) const
size_t | ensure_space (size_t len)
void | fill (size_t zero_pad_bytes)
void | fill_big (size_t zero_pad_bytes)
Allocator * | get_custom_allocator ()
uint8_t * | make_space (size_t len)
vector_downward & | operator= (vector_downward &&other)
void | pop (size_t bytes_to_remove)
void | push (const uint8_t *bytes, size_t num)
template<typename T >
void | push_small (const T &little_endian_t)
DetachedBuffer | release ()
uint8_t * | release_raw (size_t &allocated_bytes, size_t &offset)
void | reset ()
uint8_t * | scratch_data () const
uint8_t * | scratch_end () const
void | scratch_pop (size_t bytes_to_remove)
template<typename T >
void | scratch_push_small (const T &t)
uoffset_t | scratch_size () const
uoffset_t | size () const
void | swap (vector_downward &other)
void | swap_allocator (vector_downward &other)
| vector_downward (size_t initial_size, Allocator *allocator, bool own_allocator, size_t buffer_minalign)
| vector_downward (vector_downward &&other) vector_downward(vector_downward &other)

The documentation for this class was generated from the following file:

- flatbuffers.h